Subject: Re: Fix 'git log' early pager startup error case

From: Johannes Sixt <[email-masked]>
Date: Wed, 25 Aug 2010 09:00:55 +0200

Am 8/25/2010 3:36, schrieb Jonathan Nieder:
> Mingw Git uses spawnvpe now, but Cygwin users might still suffer from
> fork() troubles.  I think it should be possible to work around that by
> using posix_spawn() from start_command() on such platforms (or
> someting similar).

Just FYI, posix_spawn() is not sufficiently capable for the demands of
start_command(): It doesn't allow to set a new CWD for the spawned process.

-- Hannes